package com.qs.mp.channel.service.impl;

import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.mapper.ChannelMapper;
import com.qs.mp.channel.service.IChannelService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 渠道经销商 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-02-28
 */
@Service
public class ChannelServiceImpl extends ServiceImpl<ChannelMapper, Channel> implements IChannelService {

	
	@Override
	public Channel getChannelByUserId(long userId) {
		return getOne(new QueryWrapper<Channel>().lambda().eq(Channel::getUserId, userId));
	}
}
