package com.qs.mp.manager.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票实体类
 * @auther quanshu
 * @create 2022-02-28 22:58:02
 */
@TableName("mp_ticket")
@Data
public class Ticket implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "TICKET_ID" , type = IdType.INPUT)
  private String ticketId;

  /**
   * 盲票组ID
   */
  @TableField("BOX_ID")
  private String boxId;

  /**
   * 盲票包ID
   */
  @TableField("PKG_ID")
  private String pkgId;

  /**
   * 标题
   */
  @TableField("TITLE")
  private String title;

  /**
   * 序列号
   */
  @TableField("SERIAL_NO")
  private String serialNo;

  /**
   * 面值
   */
  @TableField("FACE_PRICE")
  private Integer facePrice;

  /**
   * 加密幸运数字
   */
  @TableField("CIPHER_LUCKY_NUM")
  private String cipherLuckyNum;

  /**
   * 明文幸运数字
   */
  @TableField("PLAIN_LUCKY_NUM")
  private Integer plainLuckyNum;

  /**
   * 抽奖数字1描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM1")
  private String drawNum1;

  /**
   * 抽奖数字2描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM2")
  private String drawNum2;

  /**
   * 抽奖数字3描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM3")
  private String drawNum3;

  /**
   * 抽奖数字4描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM4")
  private String drawNum4;

  /**
   * 抽奖数字5描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM5")
  private String drawNum5;

  /**
   * 抽奖数字6描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM6")
  private String drawNum6;

  /**
   * 抽奖数字7描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM7")
  private String drawNum7;

  /**
   * 抽奖数字8描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM8")
  private String drawNum8;

  /**
   * 抽奖数字9描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM9")
  private String drawNum9;

  /**
   * 抽奖数字10描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM10")
  private String drawNum10;

  /**
   * 抽奖数字11描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM11")
  private String drawNum11;

  /**
   * 抽奖数字12描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM12")
  private String drawNum12;

  /**
   * 抽奖数字13描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM13")
  private String drawNum13;

  /**
   * 抽奖数字14描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM14")
  private String drawNum14;

  /**
   * 抽奖数字15描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM15")
  private String drawNum15;

  /**
   * 抽奖数字16描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM16")
  private String drawNum16;

  /**
   * 抽奖数字17描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM17")
  private String drawNum17;

  /**
   * 抽奖数字18描述（json格式，包含数字、奖项）
   */
  @TableField("DRAW_NUM18")
  private String drawNum18;

  /**
   * 是否实体纸质票（0否1是）
   */
  @TableField("IS_PHYSICAL")
  private Integer isPhysical;

  /**
   * 盲票状态（初始、已激活、已开奖、已兑奖）
   */
  @TableField("STATUS")
  private String status;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}